/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.glassfish.websockets.platform.web;

import javax.servlet.http.*;
import java.util.*;

/**
 *
 * @author dannycoward
 */
public class HttpSessionManager {
   private Set<HttpSession> sessions = new HashSet<HttpSession>();
    private static HttpSessionManager instance;
    
    public static HttpSessionManager getInstance() {
        if (instance == null) {
            instance = new HttpSessionManager();
        }
        return instance;
    }
    
    public void registerSession(HttpSession session) {
        System.out.println("Session added: " + session.getId());
        sessions.add(session);
    }

    public void deregisterSession(HttpSession session) {
        
        sessions.remove(session);
    }
    
    public HttpSession findSessionByID(String id) {
        //System.out.println("Find session of id " + id + " in " + sessions);
        for (HttpSession session : this.sessions) {
            //System.out.println("--next session id " + session.getId());
            if (session.getId().equals(id)) {
                return session;
            }
        }
        return null;
    } 
}
