/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package org.glassfish.websockets.platform.processors;

import java.util.*;
/**
 *
 * @author dannycoward
 */
public class ProcessorUtils {
    static Map<String, String> primitiveToClassMap = new HashMap<String, String>();
    
    public static String getWrapperPackageNameFor(String qualifiedClassname) {
        String packageName = qualifiedClassname.substring(0, qualifiedClassname.lastIndexOf("."));
        return "ws_gen." + packageName;
    }
    
    public static String convertPrimitiveToClassIfNec(String classname) {
        if (primitiveToClassMap.isEmpty()) {
            primitiveToClassMap.put("int", "Integer"); 
            primitiveToClassMap.put("byte", "Byte");
            primitiveToClassMap.put("short", "Short"); 
            primitiveToClassMap.put("long", "Long"); 
            primitiveToClassMap.put("float", "Float"); 
            primitiveToClassMap.put("double", "Double"); 
            primitiveToClassMap.put("boolean", "Boolean"); 
            primitiveToClassMap.put("char", "Character"); 
            
        }
        if (primitiveToClassMap.containsKey(classname)) {
            return primitiveToClassMap.get(classname);
        } else {
            return classname;
        }
       
    }
}
