package org.glassfish.websockets.platform.web;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import javax.servlet.annotation.WebListener;
import javax.servlet.http.*;

/**
 * Web application lifecycle listener.
 * @author dannycoward
 */
@WebListener()
public class WSSessionTracker implements HttpSessionListener {
    
    
    
    @Override
    public void sessionCreated(HttpSessionEvent se) {
        HttpSessionManager.getInstance().registerSession(se.getSession());
    }

    @Override
    public void sessionDestroyed(HttpSessionEvent se) {
        HttpSessionManager.getInstance().deregisterSession(se.getSession());
    }
    
    
}
